#Module-Specific definitions
%define mod_name mod_php
%define mod_conf 70_%{mod_name}.conf
%define mod_so %{mod_name}5.so
%define extname apache2handler

%define epoch 3
%define major 5
%define libname %mklibname php5_common %{major}
%define apache_version 2.2.8
%define php_version %{version}

Summary:	The PHP5 HTML-embedded scripting language for use with apache
Name:		apache-%{mod_name}
Version:	5.3.3
%define subrel 1
Release:	%mkrel 0
Group:		System/Servers
License:	PHP License
URL:		http://www.php.net/ 
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	%{libname} >= %{epoch}:%{php_version}
Requires:	apache-base >= %{apache_version}
Requires:	apache-conf >= %{apache_version}
Requires:	apache-modules >= %{apache_version}
Requires:	apache-mpm >= %{apache_version}
Requires:	php-ctype >= %{epoch}:%{php_version}
Requires:	php-filter >= %{epoch}:%{php_version}
Requires:	php-ftp >= %{epoch}:%{php_version}
Requires:	php-gettext >= %{epoch}:%{php_version}
Requires:	php-hash >= %{epoch}:%{php_version}
Requires:	php-ini >= %{php_version}
Requires:	php-json >= %{epoch}:%{php_version}
Requires:	php-openssl >= %{epoch}:%{version}
Requires:	php-pcre >= %{epoch}:%{php_version}
Requires:	php-posix >= %{epoch}:%{php_version}
Requires:	php-session >= %{epoch}:%{php_version}
Requires:	php-suhosin >= 0.9.29
Requires:	php-sysvsem >= %{epoch}:%{php_version}
Requires:	php-sysvshm >= %{epoch}:%{php_version}
Requires:	php-tokenizer >= %{epoch}:%{php_version}
Requires:	php-xmlreader >= %{epoch}:%{php_version}
Requires:	php-xmlwriter >= %{epoch}:%{php_version}
Requires:	php-zlib >= %{epoch}:%{php_version}
Requires:	php-xml >= %{epoch}:%{version}
BuildRequires:	apache-devel >= %{apache_version}
BuildRequires:	php-devel >= %{epoch}:%{php_version}
BuildRequires:	dos2unix
Provides:	php mod_php
Obsoletes:	php mod_php
Conflicts:	apache-mpm-worker >= %{apache_version}
Conflicts:	apache-mpm-event >= %{apache_version}
Requires:	php-timezonedb >= 3:2009.10
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Epoch:		%{epoch}

%description
PHP5 is an HTML-embedded scripting language. PHP5 attempts to make it easy for
developers to write dynamically generated web pages. PHP5 also offers built-in
database integration for several commercial and non-commercial database
management systems, so writing a database-enabled web page with PHP5 is fairly
simple. The most common use of PHP coding is probably as a replacement for CGI
scripts. The %{name} module enables the apache web server to understand and
process the embedded PHP language in web pages.

This package contains PHP version 5. You'll also need to install the apache web
server.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/sapi/%{extname}/* .
cp %{_usrsrc}/php-devel/internal_functions.c .
cp %{_includedir}/php/ext/date/lib/timelib_config.h .

# strip away annoying ^M
find -type f -exec dos2unix -U {} \;

cp %{SOURCE1} %{mod_conf}

%build

%{_sbindir}/apxs \
    `php-config --includes` \
    `apr-1-config --link-ld --libs` \
    `xml2-config --cflags` \
    -I%{_usrsrc}/php-devel \
    -I. -lphp5_common \
    -c mod_php5.c sapi_apache2.c apache_config.c \
    php_functions.c internal_functions.c

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Mon Jul 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.3-0.1mdv2010.0
- 5.3.3

* Wed Jun 09 2010 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.2-0.1mdv2010.0
- rebuilt for php-5.3.2

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-0.1mdv2010.0
- built for php-5.3.1

* Sun Nov 15 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-0.0.RC4.0.1mdv2010.0
- built for php-5.3.1RC4

* Tue Nov 10 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-0.0.RC3.0.1mdv2010.0
- built for updates

* Fri Nov 06 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-0.0.RC3.1mdv2010.1
+ Revision: 461146
- rebuild
- fix #55063 (Calling utf8_encode or utf8_decode functions stalls PHP)

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-0.0.RC1.2mdv2010.0
+ Revision: 451210
- rebuild

* Tue Sep 08 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.1-0.0.RC1.1mdv2010.0
+ Revision: 433351
- rebuilt for php-5.3.1RC1
- cleanups (#1)

* Wed Aug 19 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-3mdv2010.0
+ Revision: 418000
- re-add requires on php-suhosin

* Fri Jul 31 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-2mdv2010.0
+ Revision: 405108
- don't require the php-suhosin package as it's currently broken

* Fri Jul 17 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-1mdv2010.0
+ Revision: 396834
- rebuild

* Tue Jul 14 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-0.2mdv2010.0
+ Revision: 395962
- reintroduce the php-timezonedb package

* Wed Jul 01 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-0.1mdv2010.0
+ Revision: 391280
- 5.3.0 (final)

* Wed May 13 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.3.0-0.0.RC2.1mdv2010.0
+ Revision: 375298
- php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.9-1mdv2009.1
+ Revision: 346375
- 5.2.9

* Sat Feb 14 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.9-0.0.RC2.1mdv2009.1
+ Revision: 340279
- 5.2.9RC2

* Tue Feb 10 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.9-0.0.RC1.1mdv2009.1
+ Revision: 339116
- 5.2.9RC1

* Wed Jan 07 2009 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.8-2mdv2009.1
+ Revision: 326501
- rebuild

* Tue Dec 09 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.8-1mdv2009.1
+ Revision: 312067
- symbolic version bump

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.7-1mdv2009.1
+ Revision: 310187
- 5.2.7

* Wed Oct 15 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.7-0.0.RC1.1mdv2009.1
+ Revision: 293862
- 5.2.7RC1

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.6-3mdv2009.0
+ Revision: 235650
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.6-2mdv2009.0
+ Revision: 215293
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.6-1mdv2009.0
+ Revision: 200056
- 5.2.6

* Tue Apr 01 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-5mdv2008.1
+ Revision: 191392
- rebuilt due to fixed upstream bug bug42779 in php-devel-5.2.5-13mdv2008.1

* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-4mdv2008.1
+ Revision: 181441
- rebuild

* Sun Feb 03 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-3mdv2008.1
+ Revision: 161723
- fix #37433 (php, NEW: php doesn't work in apache since last update)

* Thu Jan 31 2008 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-2mdv2008.1
+ Revision: 160731
- fix deps

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-1mdv2008.1
+ Revision: 107553
- 5.2.5

* Fri Nov 02 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.5-0.RC2.1mdv2008.1
+ Revision: 105294
- rebuilt to pickup the changes in php-5.2.5RC2
- fix deps

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.4-2mdv2008.0
+ Revision: 82363
- rebuild

* Sun Sep 02 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.4-1mdv2008.0
+ Revision: 78041
- rebuilt against php-5.2.4

* Thu Aug 16 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.3-4mdv2008.0
+ Revision: 64323
- use the new %%serverbuild macro

* Sun Jun 24 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.3-3mdv2008.0
+ Revision: 43786
- fix deps

* Wed Jun 13 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.3-2mdv2008.0
+ Revision: 38415
- rebuild

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.3-1mdv2008.0
+ Revision: 33797
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.2-1mdv2008.0
+ Revision: 20980
- rebuilt against new upstream version (5.2.2)


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 5.2.1-4mdv2007.1
+ Revision: 140586
- rebuild

* Fri Mar 09 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.1-3mdv2007.1
+ Revision: 139554
- add the new php-timezonedb package as a dep to solve future presumptive problems

* Tue Feb 27 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.1-2mdv2007.1
+ Revision: 126622
- general cleanups

* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.1-1mdv2007.1
+ Revision: 117582
- rebuilt against new upstream php version (5.2.1)

* Mon Dec 18 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.0-3mdv2007.1
+ Revision: 98715
- rebuilt to make it recognize the spl stuff (fixes #27742)

* Tue Nov 14 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.0-2mdv2007.1
+ Revision: 84092
- fix deps

* Tue Nov 07 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.2.0-1mdv2007.0
+ Revision: 77421
- rebuilt for php-5.2.0

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.6-4mdv2007.1
+ Revision: 75410
- bunzip the config file
- force requirement on the upcoming php-suhosin extension package
- Import apache-mod_php

* Thu Sep 14 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-2mdv2007.0
- cleanup in an attempt to fix #24290

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-1mdk
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-2mdk
- rebuild

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.4-1mdk
- rebuilt for php-5.1.4

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.3-1mdk
- rebuilt for php-5.1.3

* Wed Apr 05 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-3mdk
- conflict with apache-mpm-worker because we have no 
  threadsafe php yet (#21841)

* Tue Jan 17 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-2mdk
- fix deps after reading how a default install works

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 5.1.2-1mdk
- rebuilt against php-5.1.2

* Mon Dec 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-4mdk
- rebuilt to pickup changes from php-devel-5.1.1-4mdk

* Mon Dec 19 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-3mdk
- rebuild

* Mon Dec 12 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-2mdk
- rebuilt against apache-2.2.0

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-1mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-1mdk
- rebuilt against php-5.1.0

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-0.RC4.1mdk
- rebuilt against php-5.1.0RC4

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0-0.RC1.3mdk
- rebuilt to provide a -debug package too

* Mon Oct 17 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-0.RC1.2mdk
- rebuilt against correct apr-0.9.7

* Sat Oct 15 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-0.RC1.1mdk
- rebuilt for apache-2.0.55

* Sun Oct 02 2005 Oden Eriksson <oeriksson@mandriva.com> 3:2.0.54_5.1.0-0.RC1.1mdk
- rebuilt against php-5.1.0RC1
- drop the php-yp dep as yp lives in pecl now

* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_5.0.5-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_5.0.4-4mdk
- added another work around for a rpm bug

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_5.0.4-3mdk
- added a work around for a rpm bug, "Requires(foo,bar)" don't work

* Mon Jun 06 2005 Oden Eriksson <oeriksson@mandriva.com> 3:2.0.54_5.0.4-2mdk
- move the DirectoryIndex statements from the apache-conf package into 
  this configuration

* Sat May 28 2005 Oden Eriksson <oeriksson@mandriva.com> 3:2.0.54_5.0.4-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.4-1mdk
- rebuilt for php-5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.3-5mdk
- use the %%mkrel macro

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.3-4mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.3-3mdk
- spec file cleanups, remove the ADVX-build stuff

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.3-2mdk
- rebuilt against a non hardened-php aware php lib

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0.3-1mdk
- rebuilt for apache 2.0.53

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_5.0.3-1mdk
- rebuilt for php-5.0.3
- cleanups

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_5.0.2-1mdk
- built for apache 2.0.52

* Sat Sep 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_5.0.2-1mdk
- rebuilt for php-5.0.2

* Sun Aug 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_5.0.1-1mdk
- rebuilt for php-5.0.1

* Wed Aug 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_5.0.0-1mdk
- rebuilt for php-5.0.0
- made some php related cleanups

* Thu Jul 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_4.3.8-1mdk
- rebuilt for php-4.3.8

* Thu Jul 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_4.3.7-1mdk
- built for apache 2.0.50

* Sat Jun 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.7-2mdk
- sync with fedora (fixes a memory leak)

* Sat Jun 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.7-1mdk
- built for php-4.3.7
- fix deps

* Sun May 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.6-2mdk
- don't link against aprutil and db4

* Sun May 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.49_4.3.6-1mdk
- rebuilt for apache v2.0.49 and php 4.3.6

* Sun Mar 21 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_4.3.5-0.1mdk
- rebuilt for apache v2.0.49 and php 4.3.5 (rc3)

